Which versions of Internet Explorer will not work with JotForm?

  • Profile Image
    Bestzin
    Asked on June 07, 2015 at 11:34 PM
  • Profile Image
    Charlie
    Answered on June 08, 2015 at 02:31 AM

    Hi,

    JotForm forms and the form builder itself should work on most version of IE browser. However, regarding on the form builder although it works fine on IE8, we'd still recommend using updated browsers like Chrome or Firefox in order for the new Jotform features to work perfectly and to have a better workflow.

    May we know what version of IE you are trying to run JotForm? 

    Thank you.